<?php

namespace Treewec;

/**
 * Test class for PageInfo.
 * Generated by PHPUnit on 2012-03-25 at 16:37:30.
 * @group output
 */
class PageInfoTest extends \PHPUnit_Framework_TestCase {

    private $pageInfo;
    
    protected function setUp() {
        $this->pageInfo = new PageInfo();
    }
    
    public function test__construct() {        
        parent::assertInstanceOf('\Treewec\PageInfo', $this->pageInfo);
        foreach (get_object_vars($this->pageInfo) as $attribute => $value) {
            if ($attribute == 'pathInfo') {
                parent::assertTrue(is_array($value));
            } else {
                parent::assertFalse($value);
            }
        }
    }
}

?>